6.0.0-git
2019-01-23

[#2600] Provide info to user about password expiration
Summary Provide info to user about password expiration
Queue Passwd
Queue Version HEAD
Type Enhancement
State Accepted
Priority 1. Low
Owners
Requester kevin_myer (at) iu13 (dot) org
Created 2005-09-14 (4879 days ago)
Due
Updated 2005-11-28 (4804 days ago)
Assigned
Resolved
Milestone
Patch No

History
2005-11-28 16:46:01 Jan Schneider State ⇒ Accepted
 
2005-11-28 16:33:49 Chuck Hagenbuch Comment #4 Reply to this comment
I think that the framework auth libraries, if configured, could push a 
notice onto the stack about password expiration (on logon). I don't 
think putting it into passwd makes sense.
2005-11-28 16:01:08 Jan Schneider Comment #3 Reply to this comment
Does anyone have anything to add to this ticket?
2005-09-14 08:18:54 Jan Schneider Comment #2
State ⇒ Feedback
Reply to this comment
password change are required, in an accounts block.  It looks like
these functions already exist in the accounts module - does it make
more sense to implement them in the passwd module instead?
No, I don't think so, at least not "instead". This information might 
make sense inside Passwd *additionally*, but that would duplicate code 
OTOH.
2005-09-14 02:21:42 kevin_myer (at) iu13 (dot) org Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Provide info to user about password expiration
Queue ⇒ Passwd
Reply to this comment
Bug 2304 got me to thinking that it would be helpful to display 
information to the user that informs them of the statuf of their 
password (essentially for an environment that supports password 
aging).  For instance, if shadow passwords are used, with aging, it 
would be helpful to display a notification in the stack when a user's 
password is close to expiring.  Or to display # of days until a 
password change are required, in an accounts block.  It looks like 
these functions already exist in the accounts module - does it make 
more sense to implement them in the passwd module instead?

Saved Queries